const menuItems = ['Total', 'Covid', 'Other'];
const gID = ['ActionsPTC', 'CovidOnlyAct', 'CovidOnlyAmt']; // xValue, xFirstRectValue, xSecondRectValue
const textID = [
  'AmountPTC',
  'OtherOnlyAct',
  'OtherOnlyAmt',
]; // x2Value, x2FirstRectValue, x2SecondRectValue
export const PlotMenu = ({
  updateXValue,
  updateX2Value,
  menuLabels,
  menuItemsWidth = [62, 76, 100],
  xAttribute
}) =>
  menuItems.map((menuItem, i) => {
    const func1 = (x) =>
      updateXValue(x.target.className.baseVal);
    const func2 = (x) => updateX2Value(x.target.id);
    return (
      <g
        className="plot-menu"
        transform={`translate(${120 * i + i * i * 8})`}
      >
        <text
          className={gID[i]}
          id={textID[i]}
          onClick={(event) => {
            func2(event);
            func1(event);
          }}
        >
          {menuLabels[i]}
        </text>
        <line
          opacity={xAttribute == gID[i] & xAttribute != 'ActionsPTC' ? 0 : 1}
          className={menuItems[i]}
          x1={-menuItemsWidth[i] / 2}
          x2={menuItemsWidth[i] / 2}
          y1="5"
          y2="5"
          stroke-width="5"
        />
      </g>
    );
  });
